Bug 1130711 (CVE-2014-3589) - CVE-2014-3589 python-pillow, python-imaging: DoS in IcnsImagePlugin
Summary: CVE-2014-3589 python-pillow, python-imaging: DoS in IcnsImagePlugin
Keywords:
Status: NEW
Alias: CVE-2014-3589
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140813,repor...
Depends On: 1130712 1162256
Blocks: 1130713
TreeView+ depends on / blocked
 
Reported: 2014-08-16 17:37 UTC by Vincent Danen
Modified: 2019-06-08 20:09 UTC (History)
3 users (show)

Fixed In Version: python-pillow 2.3.2, python-pillow 2.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Vincent Danen 2014-08-16 17:37:40 UTC
A denial of service vulnerability was reported in the Python Image Library and all versions of its fork, Pillow.  If a user were able to supply date to the Image.open routine or similar APIs they could cause the application to crash due to inadequate input validation in the IcnsImagePlugin module.  This has been corrected in upstream version 2.3.2 [1] and 2.5.2 [2]; a patch is available [3].

[1] https://pypi.python.org/pypi/Pillow/2.3.2
[2] https://pypi.python.org/pypi/Pillow/2.5.2
[3] https://github.com/python-pillow/Pillow/commit/205e056f8f9b06ed7b925cf8aa0874bc4aaf8a7d


Acknowledgements:

Red Hat would like to thank Andrew Drake of Dropbox for reporting this issue.

Comment 1 Vincent Danen 2014-08-16 17:38:00 UTC
Created python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1130712]

Comment 2 Fedora Update System 2014-08-27 01:29:36 UTC
python-pillow-2.0.0-14.gitd1c6db8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-08-27 01:32:09 UTC
python-pillow-2.2.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2014-11-10 16:34:18 UTC
This is an infinite loop.  The code did not properly check size values read from the input file.  A malicious ICNS (Apple Icon Image) file could cause python-pillow / python-imaging to repeatedly read the same block of input file and never advance, leading to high CPU usage DoS.

Affects python-pillow and python-imaging packages as shipped in Red Hat Enterprise Linux 5 and later.

Comment 5 Tomas Hoger 2014-11-10 16:36:56 UTC
Created python26-imaging tracking bugs for this issue:

Affects: epel-5 [bug 1162256]

Comment 7 Vincent Danen 2014-11-13 20:56:43 UTC
Statement:

This issue affects the versions of python-imaging as shipped with Red Hat Enterprise Linux 5 and 6, and versions of python-pillow as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.